2019-11-18 21:58 AEDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000361mercuryBugpublic2014-09-16 13:22
Reporterjuliensf 
Assigned Tozs 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000361: Compiler abort with loose determinism decl. and pragma loop_check
DescriptionThe attached program causes a compiler abort in both C backends.

Uncaught Mercury exception:
Software Error: ll_backend.code_gen: predicate `ll_backend.code_gen.generate_goal'/5: Unexpected: nondet model in det/semidet context
Stack dump not available in this grade.

Uncaught Mercury exception:
Software Error: ml_backend.ml_code_gen: predicate `ml_backend.ml_code_gen.ml_gen_maybe_convert_goal_code_model'/7: Unexpected: nondet in semi
Stack dump not available in this grade.


TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0000788

zs (developer)

Fix committed sep 16.
+Notes

-Issue History
Date Modified Username Field Change
2014-09-15 14:59 juliensf New Issue
2014-09-15 14:59 juliensf File Added: bug361.m
2014-09-16 11:22 zs Assigned To => zs
2014-09-16 11:22 zs Status new => assigned
2014-09-16 13:22 zs Note Added: 0000788
2014-09-16 13:22 zs Status assigned => resolved
2014-09-16 13:22 zs Resolution open => fixed
+Issue History